2017-10-20 10:32 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000436mercuryBugpublic2017-05-03 10:42
Reporterwangp 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000436: unknown constructor in foreign_enum
DescriptionThe compiler silently allows a constructor in a pragma foreign_enum that do not correspond a constructor of the type.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000951

juliensf (administrator)

That's a bit naughty of it -- I'll take a look it.

~0000952

juliensf (administrator)

Fixed in commit c40f4300f.
+Notes

-Issue History
Date Modified Username Field Change
2017-04-28 16:38 wangp New Issue
2017-04-28 16:38 wangp File Added: foreign_enum_unknown_ctor.m
2017-04-28 16:45 juliensf Assigned To => juliensf
2017-04-28 16:45 juliensf Status new => assigned
2017-04-28 16:45 juliensf Note Added: 0000951
2017-05-03 10:42 juliensf Status assigned => resolved
2017-05-03 10:42 juliensf Resolution open => fixed
2017-05-03 10:42 juliensf Note Added: 0000952
+Issue History